Description

Some WMS services or some layers are not loaded, in particular:
- usually WMS 1.3.0 have more problems
- this WMS service: http://sdi.provincia.bz.it/geoserver/inspire/wms?service=wms&#38;version=1.1.1&#38;request=GetCapabilities
have problems on some layers for example the Orthoimage Coverage 2008 and Orthoimage Coverage 2011 using EPSG:25832
image:png and text:plain

The same problem happens in gvSIG 2.2 final and 2.3.0-2419 both in linux and in windows.

Associated revisions
Revision 5356 - 02/25/2016 05:09 PM - Daniel Martinez

refs #4102 Se corrige el Style "default" por "", según se ha visto en la documentación.

History
#1 - 02/15/2016 07:56 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2313-final (addons updates) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#2 - 02/25/2016 07:47 AM - Daniel Martinez
- Assignee set to Daniel Martinez
- Status changed from New to In progress

#3 - 02/25/2016 12:26 PM - Daniel Martinez

Hi,

Would you mind to list us some servers (and their layers) where WMS 1.3.0 is failing so we could check them?
We have tried with http://www.ign.es/wms-inspire/mdt using layer "Relieve", EPSG:23030, image:png and text:plain. It works fine using these settings,
but using others projections can fail, although seems due to server problems, because it happens too in others GIS.

I have tried too to connect to http://sdi.provincia.bz.it/geoserver/inspire/wmsservice=wms&#38;version=1.1.1&#38;request=GetCapabilities , but the
server is not allowing me to connect now (maybe too many tests). Although I have done a minor correction, the error seems due to a server problem. I
could not get the layer through other GIS neither.
#4 - 02/25/2016 01:04 PM - Silvia Franceschi

Here is the WMS of the Province of Bolzano
http://sdi.provincia.bz.it/geoserver/inspire/wms?service=wms&#38;version=1.1.1&#38;request=GetCapabilities
with this link the connection works and I can see the list of layers.
I tried to visualize some layers but only a few work, in particular I was interested in Orthoimage coverage 2008 and 2011.
I used image/png, projection 32632 and plain text.

Regarding the WMS1.3 an example of not working service is:
- 
http://gis.csiss.gmu.edu/cgi-bin/mapserv?MAP=/media/gisiv01/Public/Share/Images/WMS/NDVI_2012_065_9827.map&#38;SERVICE=WMS&#38;V
RSION=1.0.0&#38;REQUEST=GetCapabilities
Unfortunately I can not find the others I tried last time, but this was only my feeling, the real problem is the WMS of the province of Bolzano and others
like that.

Thanks

#5 - 03/16/2016 09:57 AM - Andrea Antonello
- File wms_udig.png added
- File gvSIG.log added

"Although I have done a minor correction, the error seems due to a server problem. I could not get the layer through other GIS neither."

What GIS did you try? It does work for me in other GIS.

I just tried to load the ortofotocarta 2011 layer with the latest gvSIG 2.3. build and it doesn't work.

I tried the same service in uDig and it works perfectly, so this seems to be a gvSIG bug.

I attach the log and a screenshot of udig done right now as proof :-)

#6 - 03/16/2016 10:31 AM - Andrea Antonello

Also, the error occurs "silently". No error message is given to the user.

#7 - 06/14/2016 12:37 PM - Daniel Martinez
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

Hello,

We have connected with http://sdi.provincia.bz.it/geoserver/inspire/wms?service=wms&#38;version=1.1.1&#38;request=GetCapabilities without
problems for layer  Luftbild 2011 - Ortofotocarta 2011 using image/png, projection EPSG:32632 and text/plain. We have used gvSIG 2.3.

On the other hand we can't access 
http://gis.csiss.gmu.edu/cgi-bin/mapserv?MAP=/media/gisiv01/Public/Share/Images/WMS/NDVI_2012_065_9827.map&#38;SERVICE=WMS&#38;V
RSION=1.0.0&#38;REQUEST=GetCapabilities from QGIS nor uDIG 1.4.
#8 - 06/15/2016 04:33 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135,  NOT USABLE)

#9 - 07/26/2016 02:09 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 218 KB 03/16/2016 Andrea Antonello
wms_udig.png 440 KB 03/16/2016 Andrea Antonello
